<?php
/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 */
if (!defined('_PS_VERSION_')) {
    exit;
}

$sql = [];

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'clippay_payment` (
    `id_clippay` int(11) NOT NULL AUTO_INCREMENT,
    `clippay` varchar(150) UNIQUE,
    `id_cart` int(10) NULL,
    `id_order` int(10) NULL, 
    `payment_request_id` varchar(50) NULL,
    `object_type` varchar(30) NULL,
    `status` varchar(30) NULL,
    `last_status_message` varchar(255) NULL,
    `created_at` varchar(25) NULL,
    `modified_at` varchar(25) NULL,
    `expired_at` varchar(25) NULL,
    `transaction_id` varchar(45) NULL,
    `payment_request_url` varchar(150) NULL,
    PRIMARY KEY  (`id_clippay`)
)';

foreach ($sql as $query) {
    if (Db::getInstance()->execute($query) == false) {
        return false;
    }
}
